com.google.common.util.concurrent

## Interface FutureFallback<V>

- Type Parameters:
    `V` - the result type of the provided backup `Future`

  Deprecated.
  This interface's main user, `Futures.withFallback`, has been updated to use `AsyncFunction`. We recommend that other APIs be updated in the same way. This interface will be removed in Guava release 20.0.

      @Beta
      @Deprecated
      @GwtCompatible
      public interface FutureFallback<V>

  Provides a backup `Future` to replace an earlier failed `Future`. An implementation of this interface can be applied to an input `Future` with `Futures.withFallback(com.google.common.util.concurrent.ListenableFuture<? extends V>, com.google.common.util.concurrent.FutureFallback<? extends V>)`.
  Since:
    14.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ListenableFuture<V>` | `create(java.lang.Throwable t)` Deprecated. Returns a `Future` to be used in place of the `Future` that failed with the given exception.

- - ### Method Detail

    - #### create

          ListenableFuture<V> create(java.lang.Throwable t)
                                     throws java.lang.Exception

      Deprecated.
      Returns a `Future` to be used in place of the `Future` that failed with the given exception. The exception is provided so that the `Fallback` implementation can conditionally determine whether to propagate the exception or to attempt to recover.
      Parameters:
        `t` - the exception that made the future fail. If the future's `get` method throws an `ExecutionException`, then the cause is passed to this method. Any other thrown object is passed unaltered.
      Throws:
        `java.lang.Exception`